VMWare: Speed up VM listing

01/12/2018 09:46 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version: 1.18.0   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5171

  

Description

The VM listing in a VMWare compute resource is pretty slow. We have custom code (extensions to fog-vsphere) to speed up the vm

loading, but it still uses expensive calls. The code can be refactored to go from 50 seconds to 1,5 seconds with approximately 1000

VMs and a single API call against vSphere.

Related issues:

Related to Foreman - Tracker #18255: Speed up vmware New 01/26/2017

Related to Foreman - Feature #22383: VMWare: Speed up VM association New

Related to Foreman - Bug #22798: VMware: Exception listing VMs in the root of... Closed

Associated revisions

Revision e7e9821a - 01/15/2018 01:35 PM - Timo Goebel

fixes #22258 - vmware: speed up vm listing

History

#1 - 01/12/2018 09:46 AM - Timo Goebel

- Related to Tracker #18255: Speed up vmware added

#2 - 01/12/2018 10:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5171 added

#3 - 01/15/2018 02:02 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e7e9821aa028957575a2aa0d79e696439f393e72.

#4 - 01/15/2018 04:27 PM - Marek Hulán

- translation missing: en.field_release set to 330

#5 - 01/23/2018 02:43 PM - Timo Goebel

- Related to Feature #22383: VMWare: Speed up VM association added

#6 - 03/13/2018 01:16 PM - Ohad Levy

- Related to Bug #22798: VMware: Exception listing VMs in the root of the datacenter added

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e7e9821aa028957575a2aa0d79e696439f393e72
http://www.tcpdf.org

